Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(79)

Unified Diff: experimental/fiddle/fiddle_test

Issue 1349163003: experiment/fiddle (Closed) Base URL: https://skia.googlesource.com/skia.git@master
Patch Set: 2015-12-10 (Thursday) 10:34:44 EST Created 5 years ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « experimental/fiddle/fiddle_main.cpp ('k') | experimental/fiddle/fiddler.go » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: experimental/fiddle/fiddle_test
diff --git a/experimental/fiddle/fiddle_test b/experimental/fiddle/fiddle_test
new file mode 100644
index 0000000000000000000000000000000000000000..7955d6861414af8fe6a3f92768593e274faa351b
--- /dev/null
+++ b/experimental/fiddle/fiddle_test
@@ -0,0 +1,31 @@
+#!/bin/sh
+# Copyright 2015 Google Inc.
+#
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# Script for building Fiddle build bots.
+
+set -e
+set -x
+
+cd "$(dirname "$0")/../.."
+skia_dir="$PWD"
+cores=32
+
+echo "Bootstrapping CMake"
+cmake_dir="${skia_dir}/third_party/externals/cmake"
+cd "$cmake_dir"
+./bootstrap --parallel=$cores
+make -j $cores cmake
+
+echo "Building fiddle bootstrapped CMake"
+cd "${skia_dir}/experimental/fiddle"
+export PATH="${cmake_dir}/bin:${PATH}"
+go build fiddler.go
+./fiddler "$skia_dir"
+./fiddler "$skia_dir" draw.cpp > /dev/null
+
+echo "cleaning up"
+cd "$skia_dir"
+git clean -fxd cmake experimental/fiddle
« no previous file with comments | « experimental/fiddle/fiddle_main.cpp ('k') | experimental/fiddle/fiddler.go » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698